## flac 1.4.2%2Bds

=== CMakeLists.txt ===
# 3.1 is OK for most parts. However:
# 3.3 is needed in src/libFLAC
# 3.5 is needed in src/libFLAC/ia32
# 3.9 is needed in 'doc' because of doxygen_add_docs()
cmake_minimum_required(VERSION 3.5)

if(NOT (CMAKE_BUILD_TYPE OR CMAKE_CONFIGURATION_TYPES OR DEFINED ENV{CFLAGS} OR DEFINED ENV{CXXFLAGS}))
    set(CMAKE_BUILD_TYPE Release CACHE STRING "Choose the type of build, options are: None Debug Release RelWithDebInfo")
endif()

project(FLAC VERSION 1.4.2) # HOMEPAGE_URL "https://www.xiph.org/flac/")

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

option(BUILD_CXXLIBS "Build libFLAC++" ON)
option(BUILD_PROGRAMS "Build and install programs" ON)
option(BUILD_EXAMPLES "Build and install examples" ON)
option(BUILD_TESTING "Build tests" ON)
option(BUILD_DOCS "Build and install doxygen documents" ON)
option(WITH_FORTIFY_SOURCE "Enable protection against buffer overflows" ON)
option(WITH_STACK_PROTECTOR "Enable GNU GCC stack smash protection" ON)
option(INSTALL_MANPAGES "Install MAN pages" ON)
option(INSTALL_PKGCONFIG_MODULES "Install PkgConfig modules" ON)
option(INSTALL_CMAKE_CONFIG_MODULE "Install CMake package-config module" ON)
option(WITH_OGG "ogg support (default: test for libogg)" ON)
option(BUILD_SHARED_LIBS "Build shared instead of static libraries" OFF)

set(VERSION ${PROJECT_VERSION})

if(NOT UNIX)
    # This is to make sure testing works when building with a DLL
    set (CMAKE_LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/objs)
    set (CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/objs)
endif()

if(WITH_OGG)
    if(IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/ogg")
        add_subdirectory("ogg")
        set(OGG_FOUND 1 CACHE INTERNAL "ogg has been added as subdirectory")
        set_target_properties(ogg PROPERTIES FOLDER Libraries)
        if(BUILD_TESTING)
            set_target_properties(test_bitwise test_framing PROPERTIES FOLDER Tests)
        endif()
    else()
        if(NOT TARGET Ogg::ogg)
            find_package(Ogg REQUIRED)
        else()
            set(OGG_FOUND 1 CACHE INTERNAL "ogg has already been built")
        endif()
        set(OGG_PACKAGE "ogg")
    endif()
endif()

find_program (HAVE_GIT git)

if(HAVE_GIT)
    execute_process(
        COMMAND git --git-dir=.git describe --tags --exact-match
        WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
        OUTPUT_VARIABLE GIT_COMMIT_TAG
        OUTPUT_STRIP_TRAILING_WHITESPACE
        ERROR_QUIET
        )
    execute_process(
        COMMAND git --git-dir=.git log -1 --pretty=format:%h
        WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
        OUTPUT_VARIABLE GIT_COMMIT_HASH
        OUTPUT_STRIP_TRAILING_WHITESPACE
        ERROR_QUIET
        )
    execute_process(
        COMMAND git --git-dir=.git log -1 --pretty=format:%cd --date=format:%Y%m%d
        WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
        OUTPUT_VARIABLE GIT_COMMIT_DATE
        OUTPUT_STRIP_TRAILING_WHITESPACE
        ERROR_QUIET
        )
endif()

if(NOT WIN32)
    find_package(Iconv)
    set(HAVE_ICONV ${Iconv_FOUND})
endif()

if(CMAKE_C_COMPILER_ID MATCHES "GNU|Clang")
    set(CMAKE_C_FLAGS "-Wall -Wextra -Wstrict-prototypes -Wmissing-prototypes -Waggregate-return -Wcast-align -Wnested-externs -Wshadow -Wundef -Wmissing-declarations -Winline ${CMAKE_C_FLAGS}")
    set(CMAKE_C_FLAGS_RELEASE "-DNDEBUG ${CMAKE_C_FLAGS_RELEASE}")
endif()
if(CMAKE_CXX_COMPILER_ID MATCHES "GNU|Clang")
    set(CMAKE_CXX_FLAGS "-Wall -Wextra -Wcast-align -Wshadow -Wwrite-strings -Wctor-dtor-privacy -Wnon-virtual-dtor -Wreorder -Wsign-promo -Wundef ${CMAKE_CXX_FLAGS}")
    set(CMAKE_CXX_FLAGS_RELEASE "-DNDEBUG ${CMAKE_CXX_FLAGS_RELEASE}")
endif()
if(MSVC)
    set(CMAKE_C_FLAGS_RELEASE "/O2 /Ob2 /Oi /Ot /Oy /DNDEBUG ${CMAKE_C_FLAGS_RELEASE}")
endif()

include(CMakePackageConfigHelpers)
include(CheckCCompilerFlag)
include(CheckCXXCompilerFlag)
include(CheckSymbolExists)
include(CheckFunctionExists)
include(CheckIncludeFile)
include(CheckCSourceCompiles)
include(CheckCXXSourceCompiles)
include(CheckLibraryExists)
include(GNUInstallDirs)
include(UseSystemExtensions)
include(TestBigEndian)
enable_testing()

check_include_file("byteswap.h" HAVE_BYTESWAP_H)
check_include_file("inttypes.h" HAVE_INTTYPES_H)
check_include_file("stdint.h" HAVE_STDINT_H)
check_include_file("arm_neon.h" FLAC__HAS_NEONINTRIN)

if(MSVC)
    check_include_file("intrin.h" FLAC__HAS_X86INTRIN)
else()
    check_include_file("x86intrin.h" FLAC__HAS_X86INTRIN)
endif()

check_function_exists(fseeko HAVE_FSEEKO)

check_c_source_compiles("int main() { return __builtin_bswap16 (0) ; }" HAVE_BSWAP16)
check_c_source_compiles("int main() { return __builtin_bswap32 (0) ; }" HAVE_BSWAP32)
check_c_source_compiles("
    #include <langinfo.h>
    int main()
    {
        char* cs = nl_langinfo(CODESET);
        return !cs;
    }"
    HAVE_LANGINFO_CODESET)

test_big_endian(CPU_IS_BIG_ENDIAN)

check_c_compiler_flag(-Werror HAVE_WERROR_FLAG)
check_c_compiler_flag(-Wdeclaration-after-statement HAVE_DECL_AFTER_STMT_FLAG)
check_c_compiler_flag(-mstackrealign HAVE_STACKREALIGN_FLAG)
check_cxx_compiler_flag(-Weffc++ HAVE_WEFFCXX_FLAG)

if(MINGW AND (WITH_FORTIFY_SOURCE OR WITH_STACK_PROTECTOR))
  check_library_exists("ssp.a"  __stack_chk_fail "" HAVE_LIBSSP)
  if(NOT HAVE_LIBSSP)
    message(WARNING "Could not find libssp in MinGW, stack protection and/or FORTIFY_SOURCE are unavailable")
  else()
    link_libraries("ssp.a")
  endif()
elseif(NOT MSVC)
  set(HAVE_LIBSSP 1)
endif()

if(WITH_STACK_PROTECTOR)
  if(NOT MSVC)
    check_c_compiler_flag("-fstack-protector-strong" HAVE_STACK_PROTECTOR_FLAG)
  endif()
endif()

if(HAVE_WERROR_FLAG)
    option(ENABLE_WERROR "Enable -Werror in all Makefiles" OFF)
endif()

add_compile_options(
    $<$<BOOL:${MSVC}>:/wd4267>
    $<$<BOOL:${MSVC}>:/wd4996>
    $<$<BOOL:${ENABLE_WERROR}>:-Werror>
    $<$<AND:$<COMPILE_LANGUAGE:CXX>,$<BOOL:${HAVE_WEFFCXX_FLAG}>>:-Weffc++>
    $<$<AND:$<COMPILE_LANGUAGE:C>,$<BOOL:${HAVE_DECL_AFTER_STMT_FLAG}>>:-Wdeclaration-after-statement>)

if(WITH_FORTIFY_SOURCE AND HAVE_LIBSSP)
  add_definitions(-D_FORTIFY_SOURCE=2)
endif()

if(HAVE_STACK_PROTECTOR_FLAG AND HAVE_LIBSSP)
    add_compile_options($<$<OR:$<COMPILE_LANGUAGE:C>,$<COMPILE_LANGUAGE:CXX>>:-fstack-protector-strong>)
endif()

if(CMAKE_SYSTEM_PROCESSOR STREQUAL "i686" AND HAVE_STACKREALIGN_FLAG)
    add_compile_options($<$<OR:$<COMPILE_LANGUAGE:C>,$<COMPILE_LANGUAGE:CXX>>:-mstackrealign>)
endif()

include_directories("include")

include_directories("${CMAKE_CURRENT_BINARY_DIR}")
add_definitions(-DHAVE_CONFIG_H)

if(MSVC)
    add_definitions(
        -D_CRT_SECURE_NO_WARNINGS
        -D_USE_MATH_DEFINES)
endif()
if(CMAKE_BUILD_TYPE STREQUAL Debug OR CMAKE_BUILD_TYPE STREQUAL RelWithDebInfo)
    add_definitions(-DFLAC__OVERFLOW_DETECT)
endif()

add_subdirectory("src")
add_subdirectory("microbench")
if(BUILD_DOCS)
    add_subdirectory("doc")
endif()
if(BUILD_EXAMPLES)
    add_subdirectory("examples")
endif()
if(BUILD_TESTING)
    add_subdirectory("test")
endif()

# The following folder layout is mostly for MSVC
set_property(GLOBAL PROPERTY USE_FOLDERS ON)

set_target_properties(FLAC grabbag getopt replaygain_analysis replaygain_synthesis utf8 PROPERTIES FOLDER Libraries)
if(BUILD_CXXLIBS)
    set_target_properties(FLAC++ PROPERTIES FOLDER Libraries)
endif()
if(BUILD_PROGRAMS)
    set_target_properties(flacapp metaflac PROPERTIES FOLDER Programs)
endif()
if(BUILD_TESTING)
    set_target_properties(test_libFLAC test_libs_common test_picture test_seeking test_streams test_cuesheet PROPERTIES FOLDER Tests)
	if(BUILD_CXXLIBS)
	    set_target_properties(test_libFLAC++ PROPERTIES FOLDER Tests)
	endif()
endif()
if(BUILD_EXAMPLES)
    set_target_properties(decode_file encode_file PROPERTIES FOLDER Examples)
    if(BUILD_CXXLIBS)
        set_target_properties(decode_file_cxx encode_file_cxx PROPERTIES FOLDER Examples)
    endif()
endif()
if(BUILD_UTILS)
    set_target_properties(flacdiff flactimer PROPERTIES FOLDER Utils)
endif()

configure_file(config.cmake.h.in config.h)

if(INSTALL_CMAKE_CONFIG_MODULE)
    install(
        EXPORT targets
        DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}"
        NAMESPACE FLAC::)
    export(EXPORT targets NAMESPACE FLAC:: FILE FLACTargets.cmake)

    configure_package_config_file(
        ${PROJECT_SOURCE_DIR}/flac-config.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/flac-config.cmake
        INSTALL_DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}")
    write_basic_package_version_file(
        ${CMAKE_CURRENT_BINARY_DIR}/flac-config-version.cmake COMPATIBILITY AnyNewerVersion)

    install(
        FILES ${CMAKE_CURRENT_BINARY_DIR}/flac-config.cmake ${CMAKE_CURRENT_BINARY_DIR}/flac-config-version.cmake
        DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}"
    )

    install(
        FILES
            "${CMAKE_CURRENT_BINARY_DIR}/flac-config.cmake"
            "${CMAKE_CURRENT_BINARY_DIR}/flac-config-version.cmake"
        DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}")
endif()

file(GLOB FLAC_HEADERS "include/FLAC/*.h")
file(GLOB FLAC++_HEADERS "include/FLAC++/*.h")
install(FILES ${FLAC_HEADERS} DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/FLAC")
install(FILES ${FLAC++_HEADERS} DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/FLAC++")
if(INSTALL_MANPAGES)
    find_program (HAVE_PANDOC pandoc)
    if(HAVE_PANDOC)
        file(MAKE_DIRECTORY "${CMAKE_BINARY_DIR}/man")
        add_custom_command(
            OUTPUT man/flac.1
            COMMAND pandoc --standalone --to man "${CMAKE_SOURCE_DIR}/man/flac.md" > man/flac.1
            )
        add_custom_command(
            OUTPUT man/metaflac.1
            COMMAND pandoc --standalone --to man "${CMAKE_SOURCE_DIR}/man/metaflac.md" > man/metaflac.1
            )
               add_custom_target(man ALL DEPENDS man/flac.1 man/metaflac.1)
        install(FILES "${CMAKE_BINARY_DIR}/man/flac.1" "${CMAKE_BINARY_DIR}/man/metaflac.1" DESTINATION "${CMAKE_INSTALL_MANDIR}/man1")
    else()
        if(EXISTS "${CMAKE_SOURCE_DIR}/man/flac.1" AND EXISTS "${CMAKE_SOURCE_DIR}/man/metaflac.1")
            install(FILES "man/flac.1" "man/metaflac.1" DESTINATION "${CMAKE_INSTALL_MANDIR}/man1")
        else()
            message(SEND_ERROR "Pandoc nor prebuild manpages are found. Cannot install manpages. Set INSTALL_MANPAGES to OFF to build without man pages")
        endif()
    endif()
endif()

=== src/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.11)

option(ENABLE_64_BIT_WORDS "Set FLAC__BYTES_PER_WORD to 8 (4 is the default)" OFF)
option(BUILD_UTILS "Build utils" OFF)

add_subdirectory("libFLAC")
if(BUILD_CXXLIBS)
    add_subdirectory("libFLAC++")
endif()
add_subdirectory("share/replaygain_analysis")
add_subdirectory("share/replaygain_synthesis")
add_subdirectory("share/getopt")
add_subdirectory("share/utf8")
add_subdirectory("share/grabbag")

if(BUILD_PROGRAMS)
    add_subdirectory("flac")
    add_subdirectory("metaflac")
endif()
if(BUILD_UTILS)
    add_subdirectory(utils/flacdiff)
    if(WIN32)
        add_subdirectory(utils/flactimer)
    endif()
endif()

if(BUILD_TESTING)
    add_subdirectory("test_libs_common")
    add_subdirectory("test_libFLAC")
    if(BUILD_CXXLIBS)
        add_subdirectory("test_libFLAC++")
    endif()
    add_subdirectory("test_grabbag")
    add_subdirectory("test_seeking")
    add_subdirectory("test_streams")
endif()

## flac 1.3.0

=== debian/changelog ===
flac (1.3.0-2ubuntu0.14.04.1) trusty-security; urgency=medium

  * SECURITY UPDATE: arbitrary code execution via crafted .flac file
    - debian/patches/CVE-2014-8962.patch: validate id in
      src/libFLAC/stream_decoder.c.
    - CVE-2014-8962
  * SECURITY UPDATE: arbitrary code execution via crafted .flac file
    - debian/patches/CVE-2014-9028.patch: error out to avoid heap overflow
      in src/libFLAC/stream_decoder.c.
    - CVE-2014-9028

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 27 Nov 2014 12:26:23 -0500

flac (1.3.0-2) unstable; urgency=low

  [ Reinhard Tartler ]
  * switch to xz compression
  * Bump standards version (no changes)

  [ Fabian Greffrath ]
  * Add -lflac to flac++'s pkg-config file (Closes: #713645);
    thanks Sebastian Ramacher.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Tue, 03 Sep 2013 21:38:39 +0200

flac (1.3.0-1) unstable; urgency=low

  * Imported Upstream version 1.3.0 (Closes: #527542, #705601).
  * Update debian/watch file, thanks Ulrich Klauer (Closes: #710062).
  * Revert "Remove manpages from master branch."
  * Imported Upstream version 1.3.0
  * Convert package to "3.0 (quilt)" source format.
  * Remove all patches, they have either been merged upstream or do not
    apply anymore (tested).
  * Explicitly enable static libraries.
  * Simplify debian/libflac-doc.install.
  * Bump shlibs for added symbols.
  * Remove needless Build-Depends: libid3-3.8.3-dev.
  * Update Homepage field.
  * Repair upstream manpage regeneration rule.
  * Bump Build-Depends: debhelper (>= 9).
  * Fix vcs-field-not-canonical.
  * Import two patches from upstream GIT:
    + Add missing config.h includes.
    + Fix local_strcat() to terminate string correctly.
  * Disable 3DNow! optimizations, enable SSE only on amd64, enable Altivec
    only on ppc64, disable ASM optimizations elsewhere.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Fri, 07 Jun 2013 10:24:30 +0200

flac (1.2.1-6) UNRELEASED; urgency=medium

  * Fix "format not a string literal and no format arguments
    [-Werror=format-security]" errors (Closes: #643377).

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Wed, 05 Oct 2011 14:26:47 +0200

flac (1.2.1-5) unstable; urgency=low

  * Team upload.

  [ Steve Langasek ]
  * Transition package to multiarch (Closes: #637582)

 -- Alessio Treglia <alessio@debian.org>  Tue, 16 Aug 2011 12:55:20 +0200

flac (1.2.1-4) unstable; urgency=low

  [ Fabian Greffrath ]
  * Convert patch tracking system from dpatch to quilt.
  * Convert package to use dh7 with quilt and autotools-dev sequence
    addons.
  * Clean up debian/control and debian/flac.install.
  * Remove unnecessary debian/fixrpath.
  * Skip test suite, it was also skipped before.
  * Bring back config.sub and config.guess from upstream branch.
  * Improve debian/copyright.
  * Remove special handling of CFLAGS for m68k.
  * debian/patches/12_ac_config_macro_dir.patch: New patch, fixes
    "undefined macro: AM_PATH_XMMS" and similar errors which cause
    autoreconf to fail.
  * Drop debian/patches/90_autoreconf.patch in favour of dh-autoreconf.
  * Convert patch tracking system from dpatch to quilt.
  * Convert package to use dh7 with quilt and autotools-dev sequence addons.
  * Clean up debian/control and debian/flac.install.
  * Remove unseless debian/fixrpath.
  * Prepare new changelog entry.
  * Skip test suite, it was also skipped before.
  * Bring back config.sub and config.guess from upstream branch.
  * Clarify dh_auto_test should be omitted.
  * Update debian/changelog.
  * Improve debian/copyright.
  * Update debian/changelog.
  * Remove special handling of CFLAGS for m68k.
  * debian/patches/12_ac_config_macro_dir.patch: New patch, fixes
    "undefined macro: AM_PATH_XMMS" and similar errors which cause
    autoreconf to fail.
  * Drop debian/patches/90_autoreconf.patch in favour of dh-autoreconf.
  * Update debian/changelog.
  * Remove 90_autoreconf.patch from debian/patches/series as well.

  [ Alessio Treglia ]
  * debian/control:
    - Bump Standards.
    - Fix team's name.
  * debian/patches/13_replaygain_c_locale.patch:
    - flac should not use locales when running with 'replaygain'
      option (Closes: #498050).
  * debian/patches/14_metadata_iterators_memleak.patch:
    - Fix memoy leak in metadata_iterators.c, 'node' is not freed;
      Patch taken from upstream's patchtracker.
  * Add .gitignore to skip quilt files.
  * Add gbp config file.
  * Get rid of unneeded *.la files (Closes: #633177).

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Sat, 09 Jul 2011 11:51:59 +0200

flac (1.2.1-3) unstable; urgency=low

  * Add Joshua Kwan back to Uploaders, sorry!
  * Update my e-mail address.
  * Fix "libFLAC.m4 may set empty -L flag when configure is called
    without arguments" (Closes: #579025).
  * Consider *gnuspe which matches powerpc-unknown-linux-gnuspe where
    AltiVec is not available at all (Closes: #585518), thanks Sebastian
    Andrzej Siewior.
  * Mandatory autoreconf.
  * Add debian/source/format, keep at 1.0 for now.
  * Add debian/README.source.
  * Add Vcs-* and Homepage fields.
  * Bump Standards-Version to 3.8.4.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Tue, 15 Jun 2010 14:37:46 +0200

flac (1.2.1-2) unstable; urgency=high

  * New maintainer (Closes: #539565).
  * Acknowledge NMUs (Closes: #456726, #455304, #525826, #525829).
  * Urgency high, because of fixed RC bugs.

  * Set Maintainer to Debian multimedia packages maintainers and added
    myself to Uploaders.
  * Wrapped and sorted Build-Depends.
  * Added ${misc:Depends} to all packages and wrapped Depends fields.
  * Bumped debhelper compat to 7.
  * Removed versioned dependency on g++ and libid3-3.8.3-dev, the
    required versions are already in oldstable.
  * Bumped Standards-Version to 3.8.2.
  * Removed Conflicts and Replaces against packages that aren't even in
    oldstable anymore.
  * Point to versioned license file (GPL-2).


=== debian/control ===
Source: flac
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Joshua Kwan <joshk@triplehelix.org>,
 Fabian Greffrath <fabian+debian@greffrath.com>
Build-Depends: debhelper (>= 9),
 dh-autoreconf,
 docbook-to-man,
 doxygen,
 libogg-dev
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/flac.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/flac.git;a=summary
Homepage: http://xiph.org/flac/

Package: flac
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: Free Lossless Audio Codec - command line tools
 FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC is
 similar to MP3, but lossless.  The FLAC project consists of:
 .
  * The stream format
  * libFLAC, which implements a reference encoder, stream decoder, and file
    decoder
  * flac, which is a command-line wrapper around libFLAC to encode and decode
    .flac files
  * Input plugins for various music players (Winamp, XMMS, and more in the
    works)
 .
 This package contains the command-line tools flac (used for encoding and
 decoding FLACs) and metaflac (used for manipulating FLAC metadata.)

Package: libflac8
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: Free Lossless Audio Codec - runtime C library
 FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC is
 similar to MP3, but lossless.  The FLAC project consists of:
 .
  * The stream format
  * libFLAC, which implements a reference encoder, stream decoder, and file
    decoder
  * flac, which is a command-line wrapper around libFLAC to encode and decode
    .flac files
  * Input plugins for various music players (Winamp, XMMS, and more in the
    works)
 .
 This package contains the runtime library libFLAC.

Package: libflac-doc
Section: doc
Architecture: all
Suggests: libflac-dev
Recommends: doc-base
Depends: ${misc:Depends}
Description: Free Lossless Audio Codec - library documentation
 FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC is
 similar to MP3, but lossless.  The FLAC project consists of:
 .
  * The stream format
  * libFLAC, which implements a reference encoder, stream decoder, and file
    decoder
  * flac, which is a command-line wrapper around libFLAC to encode and decode
    .flac files
  * Input plugins for various music players (Winamp, XMMS, and more in the
    works)
 .
 This package contains the API documentation for all the FLAC libraries.

Package: libflac-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libflac8 (= ${binary:Version}),
 libogg-dev,
 ${misc:Depends}
Description: Free Lossless Audio Codec - C development library
 FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC is
 similar to MP3, but lossless.  The FLAC project consists of:
 .
  * The stream format
  * libFLAC, which implements a reference encoder, stream decoder, and file
    decoder
  * flac, which is a command-line wrapper around libFLAC to encode and decode
    .flac files
  * Input plugins for various music players (Winamp, XMMS, and more in the
    works)
 .
 This package contains the development library libFLAC.

Package: libflac++6
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: Free Lossless Audio Codec - C++ runtime library
 FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC is
 similar to MP3, but lossless.  The FLAC project consists of:
 .
  * The stream format
  * libFLAC, which implements a reference encoder, stream decoder, and file
    decoder
  * flac, which is a command-line wrapper around libFLAC to encode and decode
    .flac files
  * Input plugins for various music players (Winamp, XMMS, and more in the
    works)
 .
 This package contains the runtime library libFLAC++.

Package: libflac++-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libflac++6 (= ${binary:Version}),
 libflac-dev,
 ${misc:Depends}
Description: Free Lossless Audio Codec - C++ development library
 FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC is
 similar to MP3, but lossless.  The FLAC project consists of:
 .
  * The stream format
  * libFLAC, which implements a reference encoder, stream decoder, and file
    decoder
  * flac, which is a command-line wrapper around libFLAC to encode and decode
    .flac files
  * Input plugins for various music players (Winamp, XMMS, and more in the
    works)
 .
 This package contains the development library libFLAC++.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_HOST_ARCH_CPU  ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)

# 3DNow! is deprecated even on amd64
OPTFLAGS := --disable-3dnow

# Enable SSE only on amd64
ifeq ($(DEB_HOST_ARCH_CPU),amd64)
	OPTFLAGS += --disable-altivec --enable-sse
# Enable Altivec only on ppc64
else ifeq ($(DEB_HOST_ARCH_CPU),ppc64)
	OPTFLAGS += --enable-altivec --disable-sse
else
	OPTFLAGS += --disable-asm-optimizations --disable-sse --disable-altivec
endif

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--disable-rpath \
		--disable-xmms-plugin \
		$(OPTFLAGS) \
		--enable-static

override_dh_auto_test:
	dh_auto_test --no-act

override_dh_makeshlibs:
	dh_makeshlibs -plibflac8 -V "libflac8 (>= 1.3.0)"
	dh_makeshlibs -plibflac++6 -V "libflac++6 (>= 1.3.0)"

=== debian/watch ===
version=3

http://downloads.xiph.org/releases/flac/flac-(.+)(?:-src)?\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## flac 1.3.1

=== debian/changelog ===
flac (1.3.1-4) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 05 Aug 2015 02:01:47 +0200

flac (1.3.1-3) experimental; urgency=medium

  * Team upload.
  * Rename libflac++6 to libflac++6v5 for GCC 5 transition.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 03 Aug 2015 21:32:22 +0200

flac (1.3.1-2) unstable; urgency=low

  * Team upload.

  [ Dmitry Smirnov ]
  * Pin all C++ symbols in "libflac++6.symbols" to current version
    (Closes: #783258).
  * Copyright updates/lintianisation:
    - space-in-std-shortname-in-dep5-copyright
    - file-without-copyright-information
  * Updated Vcs-Browser URL.
  * Upload to unstable.

  [ Fabian Greffrath ]
  * Drop (fake)root privileges, but still skip running test suite as it is
    _exhaustive_.

 -- Dmitry Smirnov <onlyjob@debian.org>  Sun, 26 Apr 2015 19:29:44 +1000

flac (1.3.1-1) experimental; urgency=medium

  [ Jackson Doak ]
  * Disable silent rules
  * Enable hardening
  * Add symbols files

  [ Fabian Greffrath ]
  * Adapt debian/watch file to reflect actual upstream versioning scheme.
  * Imported Upstream version 1.3.1
    + Fixes CVE-2014-8962 and CVE-2014-9028 (Closes: #770918).
    + Support for 3DNOW! optimizations has been removed.
    + Localized RU documentation has been removed.
  * Drop patches applied upstream.
  * Backport patch from upstream GIT to fix another input validation bug.
  * Fix "privacy-breach-logo" and "privacy-breach-w3c-valid-html"
    lintian errors.
  * In debian/rules, remove the "override_dh_makeshlibs" rule
    for the symbols files to have effect.
  * Update, improve and convert debian/copyright to machine-readable format.
  * Bump Standards-Version to 3.9.6.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Mon, 01 Dec 2014 18:32:57 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: flac
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders: Joshua Kwan <joshk@triplehelix.org>,
  Fabian Greffrath <fabian+debian@greffrath.com>
 Build-Depends: debhelper (>= 9),
  dh-autoreconf,
  docbook-to-man,
  doxygen,
- libogg-dev
-Standards-Version: 3.9.4
+ libogg-dev,
+ g++ (>= 4:5.2)
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/flac.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/flac.git;a=summary
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-multimedia/flac.git
 Homepage: http://xiph.org/flac/
 
 Package: flac
@@ -96,13 +96,15 @@
  .
  This package contains the development library libFLAC.
 
-Package: libflac++6
+Package: libflac++6v5
 Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
  ${misc:Depends}
+Breaks: libflac++6
+Replaces: libflac++6
 Description: Free Lossless Audio Codec - C++ runtime library
  FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC is
  similar to MP3, but lossless.  The FLAC project consists of:
@@ -121,7 +123,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libflac++6 (= ${binary:Version}),
+Depends: libflac++6v5 (= ${binary:Version}),
  libflac-dev,
  ${misc:Depends}
 Description: Free Lossless Audio Codec - C++ development library

=== debian/rules ===
#!/usr/bin/make -f

export DEB_HOST_ARCH_CPU  ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)

# Enable SSE only on amd64
ifeq ($(DEB_HOST_ARCH_CPU),amd64)
	OPTFLAGS = --disable-altivec --enable-sse
# Enable Altivec only on ppc64
else ifeq ($(DEB_HOST_ARCH_CPU),ppc64)
	OPTFLAGS = --enable-altivec --disable-sse
else
	OPTFLAGS = --disable-asm-optimizations --disable-sse --disable-altivec
endif

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		--disable-rpath \
		--disable-xmms-plugin \
		$(OPTFLAGS) \
		--enable-static \
		--disable-silent-rules

override_dh_auto_test:
	# drop (fake)root privileges,
	# but still skip running test suite
	# as it is *exhaustive*
	env -u LD_PRELOAD dh_auto_test --no-act

=== debian/watch ===
version=3

http://downloads.xiph.org/releases/flac/flac-([\d\.]+)(?:-src)?\.tar\.(?:gz|xz)

## flac 1.3.2

=== debian/changelog ===
flac (1.3.2-2+deb9u2) stretch-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Add patch to exit at EOS in verify mode.
    (Fixes: CVE-2021-0561) (Closes: #1006339)

 -- Utkarsh Gupta <utkarsh@debian.org>  Thu, 17 Mar 2022 01:55:18 +0530

flac (1.3.2-2+deb9u1) stretch-security; urgency=medium

  * Non-maintainer upload by the LTS team.
  * CVE-2020-0499: Out of bounds read due to a heap buffer overflow.

 -- Adrian Bunk <bunk@debian.org>  Mon, 04 Jan 2021 01:27:32 +0200

flac (1.3.2-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org
  * d/changelog: Remove trailing whitespaces

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Fabian Greffrath ]
  * Apply two commits from upstream's GIT repo to fix memory leaks
    (Closes: #897015, CVE-2017-6888).

 -- Fabian Greffrath <fabian@debian.org>  Tue, 01 May 2018 20:56:47 +0200

flac (1.3.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/patches:
    - Refresh patches.
    - Remove patches integrated upstream.
  * debian/copyright: Update copyright years.
  * debian/control:
    - Bump Standards-Version.
    - Update Vcs-*.
  * debian/{rules,control,compat}: Bump dh compat to 10.
  * debian/libflac-doc.lintian-overrides: Override incorrect lintian warning
    about jquery.js.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 03 Jan 2017 20:36:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,17 @@
 Source: flac
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Joshua Kwan <joshk@triplehelix.org>,
  Fabian Greffrath <fabian+debian@greffrath.com>
-Build-Depends: debhelper (>= 9),
- dh-autoreconf,
+Build-Depends: debhelper (>= 10),
  docbook-to-man,
  doxygen,
  libogg-dev,
  g++ (>= 4:5.2)
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/flac.git
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-multimedia/flac.git
+Standards-Version: 3.9.8
+Vcs-Git: https://salsa.debian.org/multimedia-team/flac.git
+Vcs-Browser: https://salsa.debian.org/multimedia-team/flac
 Homepage: http://xiph.org/flac/
 
 Package: flac

## flac 1.3.2.2

=== debian/changelog ===
flac (1.3.2.2-3+dde) unstable; urgency=medium

  * fix CVE-2021-0561.
  * 

 -- xinpeng.wang <wangxinpeng@uniontech.com>  Wed, 02 Mar 2022 19:43:36 +0800

flac (1.3.2.1-1+security) unstable; urgency=medium

  * Non-maintainer upload.
  * fix CVE-2020-0499

 -- zhouzilong <zhouzilong@uniontech.com>  Thu, 01 Apr 2021 20:16:28 +0800

flac (1.3.2-3) unstable; urgency=medium

  * Use my debian account in Uploaders field and
    update Debian packaging copyright information.
  * Bump debhelper compat to 11.
  * Add patch by Dafydd Harries to make the build reproducible
    (Closes: #846893).
  * Bump Standards-Version to 4.1.4.
  * Drop versioned Build-Depends on g++.
  * Mark libflac-doc as Multi-Arch: foreign.
  * Remove unused debian/libflac-doc.lintian-overrides.
  * Move doxygen to Build-Depends-Indep and adjust debian/rules accordingly
    (Closes: #706805).

 -- Fabian Greffrath <fabian@debian.org>  Wed, 16 May 2018 21:35:01 +0200

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,12 @@
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Joshua Kwan <joshk@triplehelix.org>,
- Fabian Greffrath <fabian+debian@greffrath.com>
-Build-Depends: debhelper (>= 10),
+ Fabian Greffrath <fabian@debian.org>
+Build-Depends-Indep: doxygen
+Build-Depends: debhelper (>= 11~),
  docbook-to-man,
- doxygen,
- libogg-dev,
- g++ (>= 4:5.2)
-Standards-Version: 3.9.8
+ libogg-dev
+Standards-Version: 4.1.4
 Vcs-Git: https://salsa.debian.org/multimedia-team/flac.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/flac
 Homepage: http://xiph.org/flac/
@@ -57,6 +56,7 @@
 Package: libflac-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Suggests: libflac-dev
 Recommends: doc-base
 Depends: ${misc:Depends}

## flac 1.3.3

=== debian/changelog ===
flac (1.3.3-1ubuntu0.2) focal-security; urgency=medium

  * SECURITY UPDATE: Buffer Overflow in function bitwriter_grow_
    - debian/patches/CVE-2020-22219.patch: add and use _nofree variants of
      safe_realloc functions in include/share/alloc.h, src/flac/encode.c,
      src/flac/foreign_metadata.c, src/libFLAC/bitwriter.c,
      src/libFLAC/metadata_object.c, src/plugin_common/tags.c,
      src/share/utf8/iconvert.c.
    - CVE-2020-22219

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 11 Sep 2023 14:07:03 -0400

flac (1.3.3-1ubuntu0.1) focal-security; urgency=medium

  * SECURITY UPDATE: out of bounds read in bitreader.c
    - debian/patches/CVE-2020-0499.patch: fix out-of-bounds read
      (libFLAC/bitreader.c).
    - CVE-2020-0499
  * SECURITY UPDATE: out of bounds write in stream_encoder.c
    - debian/patches/CVE-2021-0561.patch: exit at EOS in verify mode
      (libFLAC).
    - CVE-2021-0561

 -- Camila Camargo de Matos <camila.camargodematos@canonical.com>  Thu, 17 Nov 2022 12:53:39 -0300

flac (1.3.3-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 21 Mar 2020 13:27:11 +0100

flac (1.3.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Fabian Greffrath ]
  * New upstream version 1.3.3
  * Remove patches applied upstream.
  * Bump debhelper-compat to 12.
  * Bump Standards-Version to 4.4.0.
  * Use secure URI in debian/watch.
  * Update symbols files with new symbols and Build-Depends-Package lines.

 -- Fabian Greffrath <fabian@debian.org>  Fri, 09 Aug 2019 12:02:03 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: flac
 Section: sound
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Joshua Kwan <joshk@triplehelix.org>,
  Fabian Greffrath <fabian@debian.org>
 Build-Depends-Indep: doxygen
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
  docbook-to-man,
  libogg-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/multimedia-team/flac.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/flac
 Homepage: http://xiph.org/flac/

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
-	dh $@ --with autoreconf
+	dh $@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
@@ -25,8 +25,16 @@
 		--enable-static \
 		--disable-silent-rules
 
-override_dh_auto_test:
+override_dh_auto_build-indep:
+	dh_auto_build -i -- -C doc
+
+override_dh_auto_install-indep:
+	dh_auto_install -i -- -C doc
+
+override_dh_auto_test-arch:
 	# drop (fake)root privileges,
 	# but still skip running test suite
 	# as it is *exhaustive*
-	env -u LD_PRELOAD dh_auto_test --no-act
+	env -u LD_PRELOAD dh_auto_test -a --no-act
+
+override_dh_auto_test-indep:

## flac 1.3.4

=== debian/changelog ===
flac (1.3.4-2) unstable; urgency=medium

  [ Philip Rinn ]
  * Add upstream patch to fix seeking bug (closes: #1008424)

 -- Fabian Greffrath <fabian@debian.org>  Thu, 09 Jun 2022 08:40:28 +0200

flac (1.3.4-1) unstable; urgency=medium

  * New upstream version 1.3.4
    + Closes: #1006339, CVE-2021-0561.
  * Remove patch backported from upstream.
  * Bump debhelper-compat to 13.
  * Add "Rules-Requires-Root: no".
  * Bump Standards-Version to 4.6.0.
  * Bump watch file version to 4.
  * Add "usr/lib/*/*.la" to debian/not-installed.
  * Adapt doc-base paths to actual file locations.

 -- Fabian Greffrath <fabian@debian.org>  Sat, 05 Mar 2022 13:07:41 +0100

flac (1.3.3-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.

  [ Fabian Greffrath ]
  * libFLAC/bitreader.c: Fix out-of-bounds read (CVE-2020-0499),
    Closes: #977764.

 -- Fabian Greffrath <fabian@debian.org>  Mon, 21 Dec 2020 16:39:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: flac
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Joshua Kwan <joshk@triplehelix.org>,
  Fabian Greffrath <fabian@debian.org>
 Build-Depends-Indep: doxygen
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
  docbook-to-man,
  libogg-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/multimedia-team/flac.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/flac
-Homepage: http://xiph.org/flac/
+Homepage: https://xiph.org/flac/
+Rules-Requires-Root: no
 
 Package: flac
 Architecture: any

=== debian/watch ===
version=4

https://downloads.xiph.org/releases/flac/flac-([\d\.]+)(?:-src)?\.tar\.(?:gz|xz)

## flac 1.4.2%2Bds

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,16 @@
 Section: sound
 Priority: optional
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
-Uploaders: Joshua Kwan <joshk@triplehelix.org>,
- Fabian Greffrath <fabian@debian.org>
-Build-Depends-Indep: doxygen
-Build-Depends: debhelper-compat (= 13),
- docbook-to-man,
- libogg-dev
-Standards-Version: 4.6.0
+Uploaders:
+ Joshua Kwan <joshk@triplehelix.org>,
+ Fabian Greffrath <fabian@debian.org>,
+Build-Depends-Indep:
+ doxygen,
+Build-Depends:
+ debhelper-compat (= 13),
+ libogg-dev,
+ pandoc,
+Standards-Version: 4.6.1
 Vcs-Git: https://salsa.debian.org/multimedia-team/flac.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/flac
 Homepage: https://xiph.org/flac/
@@ -16,8 +19,9 @@
 
 Package: flac
 Architecture: any
-Depends: ${shlibs:Depends},
- ${misc:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: Free Lossless Audio Codec - command line tools
  FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC is
  similar to MP3, but lossless.  The FLAC project consists of:
@@ -33,13 +37,15 @@
  This package contains the command-line tools flac (used for encoding and
  decoding FLACs) and metaflac (used for manipulating FLAC metadata.)
 
-Package: libflac8
+Package: libflac12
 Section: libs
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends},
- ${misc:Depends}
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: Free Lossless Audio Codec - runtime C library
  FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC is
  similar to MP3, but lossless.  The FLAC project consists of:
@@ -58,9 +64,12 @@
 Section: doc
 Architecture: all
 Multi-Arch: foreign
-Suggests: libflac-dev
-Recommends: doc-base
-Depends: ${misc:Depends}
+Suggests:
+ libflac-dev,
+Recommends:
+ doc-base,
+Depends:
+ ${misc:Depends},
 Description: Free Lossless Audio Codec - library documentation
  FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC is
  similar to MP3, but lossless.  The FLAC project consists of:
@@ -79,9 +88,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libflac8 (= ${binary:Version}),
+Depends:
+ libflac12 (= ${binary:Version}),
  libogg-dev,
- ${misc:Depends}
+ ${misc:Depends},
 Description: Free Lossless Audio Codec - C development library
  FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC is
  similar to MP3, but lossless.  The FLAC project consists of:
@@ -96,15 +106,15 @@
  .
  This package contains the development library libFLAC.
 
-Package: libflac++6v5
+Package: libflac++10
 Section: libs
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends},
- ${misc:Depends}
-Breaks: libflac++6
-Replaces: libflac++6
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: Free Lossless Audio Codec - C++ runtime library
  FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC is
  similar to MP3, but lossless.  The FLAC project consists of:
@@ -123,9 +133,10 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libflac++6v5 (= ${binary:Version}),
+Depends:
+ libflac++10 (= ${binary:Version}),
  libflac-dev,
- ${misc:Depends}
+ ${misc:Depends},
 Description: Free Lossless Audio Codec - C++ development library
  FLAC stands for Free Lossless Audio Codec. Grossly oversimplified, FLAC is
  similar to MP3, but lossless.  The FLAC project consists of:
